//
// ********************************************************************
// *                                                                  *
// *                                                                  *
// ********************************************************************
//


#include "globals.hh"
#include "G4Run.hh"
#include "G4THitsMap.hh"

class G4Event;

class myRun : public G4Run
{
  public:
    myRun();
    virtual ~myRun();

  public:
    virtual void RecordEvent(const G4Event*);

  private:
    G4double GetTotal(const G4THitsMap<G4double> &map) const;
    G4double FindMinimum(const G4THitsMap<G4double> &map) const;

  private:
    G4THitsMap<G4double> mapSum[50];
    G4int colIDSum[50];

  public:
    inline G4double GetValue(G4int i) const
    { return GetTotal(mapSum[i]); }

};


