
#ifndef mySteppingAction_h
#define mySteppingAction_h 1
#include "globals.hh"
#include "G4UserSteppingAction.hh"

class myDetectorConstruction;
class myEventAction;
class myPrimaryGeneratorAction;

class mySteppingAction : public G4UserSteppingAction
{
public:
  mySteppingAction(myDetectorConstruction*, myEventAction*,
		       myPrimaryGeneratorAction*);
  virtual ~mySteppingAction();
  void  SetDeadLow(G4double tmpLow) {deadLow = tmpLow;}  
  void  SetDeadHigh(G4double tmpHigh) {deadHigh = tmpHigh;}

  void UserSteppingAction(const G4Step*);

private:
  myDetectorConstruction* detector;
  myEventAction*          eventaction;  
  myPrimaryGeneratorAction* primary;
  G4double deadLow,deadHigh;
};


#endif
