#include "G4VSensitiveDetector.hh"
#include "triPolRingHit.hh"

class G4Step;
class G4HCofThisEvent;

class triPolRingSD : public G4VSensitiveDetector
{
public:
  triPolRingSD(G4String,G4String);
  ~triPolRingSD();

  void Initialize(G4HCofThisEvent*);
  G4bool ProcessHits(G4Step*, G4TouchableHistory*);
  void EndOfEvent(G4HCofThisEvent*);

private:
  triPolRingHitsCollection* ringCollection;
  //triPolRingHitsCollection* ringSDR1S0;
  //triPolRingHitsCollection* ringSDR14S4;

};
